\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{charlas-nolineal} [2007/01/31 v1.1 Lluis Alseda]
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{book}}
\ProcessOptions
\PassOptionsToClass{twoside,a4paper,twocolumn}{book}
\LoadClass{book}
%
\setlength{\textheight}{24cm}
\setlength{\textwidth}{174mm}
\setlength{\topmargin}{-1cm}
\setlength{\columnsep}{5mm}
%
\setlength\oddsidemargin {\paperwidth}
\addtolength\oddsidemargin{-\textwidth}
\divide\oddsidemargin by 2
\addtolength\oddsidemargin{-1in}
\addtolength\oddsidemargin{-\hoffset}
%
\setlength\evensidemargin{\oddsidemargin}
%
\RequirePackage[spanish]{babel}
\RequirePackage[latin1]{inputenc}
\RequirePackage{amsmath}
\RequirePackage{latexsym}
\RequirePackage{amssymb}
\RequirePackage{graphicx}
\RequirePackage{color}
%
\renewenvironment{thebibliography}[1]
     {\section*{\bibname}%
      \list{\@biblabel{\@arabic\c@enumiv}}%
           {\settowidth\labelwidth{\@biblabel{#1}}%
            \leftmargin\labelwidth
            \advance\leftmargin\labelsep
            \@openbib@code
            \usecounter{enumiv}%
            \let\p@enumiv\@empty
            \renewcommand\theenumiv{\@arabic\c@enumiv}}%
      \sloppy
      \clubpenalty4000
      \@clubpenalty \clubpenalty
      \widowpenalty4000%
      \sfcode`\.\@m}
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist}
%
\let\indice\index
\def\clave#1{}
%
\def\titulo#1{\ifx#1\empty\else\gdef\@title{#1}\fi}
\def\@title{\@latex@error{No \noexpand\title given}\@ehc}
%
\def\autor#1{\ifx#1\empty\else\gdef\@author{#1}\fi}
\def\@author{\@latex@error{No \noexpand\autor given}\@ehc}
%
\let\@colaborador\@empty
\def\colaborador#1{\gdef\@colaborador{#1}}
\let\colaborator\colaborador
%
\def\afiliacion#1{\ifx#1\empty\else\gdef\@thanks{#1}\fi}
\def\@thanks{\@latex@error{No \noexpand\afiliacion given}\@ehc}
%
\let\@webpage\@empty
\def\webpage#1{\gdef\@webpage{#1}}
\let\webpages\webpage
%
\def\@email{\@latex@error{No \noexpand\email given}\@ehc}
\def\email#1{\ifx#1\empty\else\gdef\@email{#1}\fi}
\let\emails\email
%
\let\@interdiscip\@empty
\def\interdisciplinariedad#1{\gdef\@interdiscip{#1}}
%
\def\@abstract{\@latex@error{No \noexpand\abstract given}\@ehc}
\newcommand{\abstract}[1]{\ifx#1\empty\else\gdef\@abstract{\relax}\fi%
  \noindent\begin{minipage}{\columnwidth}
     {\normalsize\bfseries\ignorespaces \@title}
     \par\par \vskip3mm \par\par
     {\sffamily\ignorespaces \@author}\newline
     \noindent\ignorespaces {\itshape \@thanks}
     \par\par\vskip2mm\par\par
     \noindent\textsc{e-mail:} \texttt{\@email}\par\par
     \ifx\@webpage\@empty\else
        \noindent\textsc{www:} \texttt{\@webpage}\par\par
     \fi
     \ifx\@colaborador\@empty\else \vskip2mm\par\par
        \noindent\textsc{Colaboradores:} \@colaborador
     \fi
  \end{minipage} \par\par \vskip4mm \par\par #1
}
%
\AtBeginDocument{\small \renewcommand{\baselinestretch}{1}}
\AtEndDocument{\@abstract\relax%
  \ifx\@interdiscip\@empty\else
     \par\par\vspace{3ex}\par\par
     \paragraph{Justificaci\'on de interdisciplinariedad:} \@interdiscip
  \fi
  \par\par\medskip\par\par
  \noindent\rule{\columnwidth}{0.2mm}
  \par\par\bigskip
}
\endinput
%
